//***********************************************************************************//
//*	Project:																		*//
//*																					*//
//*	File:		Console.h			 												*//
//*	Version:	1.0																	*//
//*																					*//
//*	Author:		Bob Marlowe															*//
//*	(C) 2015	Jörg Meier Software - Entwicklung briefe@jmeiersoftware.de			*//
//***********************************************************************************//
//***********************************************************************************//
//*																					*//
//*		Principles of Operation														*//
//*																					*//
//*		Enable Printf() and scanf() to be used by Creator programs					*//
//*																					*//
//*																					*//
//*																					*//
//*																					*//
//***********************************************************************************//

//***********************************************************************************//
//*************************** Libraries *********************************************//
//***********************************************************************************//
#include <project.h>

#ifndef Console_h
#define Console_h

//***********************************************************************************//
//********************* Definitions and Macros **************************************//
//***********************************************************************************//
//	None yet

//***********************************************************************************//
//******************* Structs, Typedefs and Enums ***********************************//
//***********************************************************************************//
typedef uint8 (*ByteReady)(void);
typedef uint8 (*GetByte)(void);
typedef void (*PutByte)(uint8 Char);
//***********************************************************************************//
//********************** External Data Area *****************************************//
//***********************************************************************************//
//	None yet

//***********************************************************************************//
//************************* Prototypes **********************************************//
//***********************************************************************************//
void Console_Start(ByteReady Ready, GetByte Get, PutByte Put);
int _read (int fd, const void *buf, size_t count);
int _write (int fd, const void *buf, size_t count);


#endif



